Estimate the credits to enrich the selected people (nothing is spent)
POST
/v1/workspace/integrations/apollo/enrichment-runs
const url = 'https://api.vocapable.com/v1/workspace/integrations/apollo/enrichment-runs';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"people":[{"id":"example","name":"example","title":"example","company":"example"}],"reveal_phone":false,"criteria":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vocapable.com/v1/workspace/integrations/apollo/enrichment-runs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "people": [ { "id": "example", "name": "example", "title": "example", "company": "example" } ], "reveal_phone": false, "criteria": {} }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceApolloRun
object
id
required
Id
string
installation_id
required
Installation Id
string
status
required
Status
string
reveal_phone
required
Reveal Phone
boolean
estimated_credits
required
Estimated Credits
integer
estimate_expires_at
required
Estimate Expires At
string format: date-time
confirmed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
people
required
outreach_scheduled
Outreach Scheduled
integer
0revision
required
Revision
integer
created_at
required
Created At
string format: date-time
Example
{ "status": "estimated", "outreach_scheduled": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}